import Vue from "vue"
import pinia from '@/store/index'
import App from "./App.vue"
import router from "./router"

// 导入windicss
import 'virtual:windi.css'
// 导入ElementUI
import ElementUI from 'element-ui'
import locale from 'element-ui/lib/locale/lang/en' 
import 'element-ui/lib/theme-chalk/index.css'
import '@/assets/style/element-variables.scss'
// 配置cookie
import cookies from 'vue-cookies'
Vue.prototype.$cookies = cookies
Vue.use(ElementUI,{locale})

new Vue({
  router,
  pinia,
  render: (h) => h(App),
}).$mount("#app")
